Subject: Re: [RFC] Ethernet Cheap Cryptography

From: Dawid Ciezarkiewicz <[email-masked]>
Date: Wed, 18 Oct 2006 16:31:40 +0200

On Wednesday, 18 October 2006 11:15, Dawid Ciezarkiewicz wrote:

> > * Given your desire not to change the size of the payload you have no
> >   space for MAC.  This makes it easier (but by no means easy) to alter
> >   the payload in such a way that it is still decrypted and considered
> >   valid.
> 
> Could you explain it more? I don't understand. You mean MAC as ... ?

Oh. Sorry. You mean message authentication code. Well - ccrypt have to live 
without it. From the start I knew that integrity will be the weakest point of 
ccrypt.